## dvi2dvi 2.0alpha

=== Makefile ===
# The following file and directory specifications may need changing at
# your site:
#
# BINAREA and DVI2LIB are relative to PREFIX
PREFIX=/usr/local
# where dvi2dvi is installed
BINAREA=${PREFIX}/bin
#
# directory for dvi2dvi: where the auxiliary files are installed
DVI2LIB=${PREFIX}/lib/dvi2dvi
#
# name of default fontdesc file in your site
FONTDESC=fontdesc
#
DVI2PATH=.

# kpathsea
KPSELIB = -L${PREFIX}/lib -lkpathsea
KPSEINC = -I${PREFIX}/include -DKPATHSEA

#
CC=gcc
#
CCFLAGS = -g -DPOSIX
#CCFLAGS = -O		# SUN etc ...
#CCFLAGS = -O -traditional -DPOSIX	# 386bsd (gcc 1.X)
#CCFLAGS = -O -DPOSIX	# Netbsd (gcc 2.X), Linux
#CCFLAGS = -O -bsd	# NeXT
#CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
#CCFLAGS = -O -DSYSV	# SysV
#CCFLAGS = -O -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (acc, gcc -- warnings)
#CCFLAGS = -O -DSYSVIO	# Solaris 2.X (ucb/cc -- warnings)

# BSD-type install assumed
INSTALL=install

# You don't have to change the definition variables in the folllowing.
#
CFLAGS = ${CCFLAGS} ${KPSEINC}
CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\"

FILES = README doc Makefile lib-dist tools \
	defs.h xxstdio.h global.h commands.h set.h dconv.h \
	virfont.h bifont.h funcfont.h \
	jsub.h \
	dvi.h \
	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
	dconv.c run.c fontdesc.c scanfont.c \
	virfont.c vfdcom.c \
	bifont.c \
	compfont.c decompfont.c execfont.c \
	funcfont.c \
	kpse.c kanji.c open.c io.c util.c \
	xxstdio.c \
	version.c \
	dvi.c dvifont.c dvitfm.c

DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
	dconv.o run.o fontdesc.o scanfont.o \
	virfont.o vfdcom.o \
	bifont.o \
	compfont.o decompfont.o execfont.o \
	funcfont.o \
	kpse.o kanji.o open.o io.o util.o \
	xxstdio.o \
	version.o
DVIOBJS = dvi.o dvifont.o dvitfm.o

all: dvi2dvi

dvi2dvi: ${DVI2OBJS} ${DVIOBJS}
	${CC} -o $@ ${DVI2OBJS} ${DVIOBJS} ${KPSELIB}
dvi2.o: Makefile
	${CC} -c ${CNFCFLAGS} dvi2.c

newlib:
	-mkdir lib
	cp -pr lib-dist/* lib

install: install-dvi2dvi

install-dvi2dvi: dvi2dvi
	install -s -m 755 dvi2dvi ${BINAREA}/dvi2dvi

install-lib:
	-mkdir ${DVI2LIB}
	cp -pr lib/* ${DVI2LIB}
	chmod -R a+r ${DVI2LIB}

clean:	
	rm -f dvi2dvi *.o *.orig core

lint:
	lint *.c

dist:
	tar cf - ${FILES} | gzip > dvi2dvi.tar.gz

dvi2.o: dconv.h defs.h
dviconv.o: dconv.h defs.h set.h
dfdcom.o: dconv.h defs.h
fontcom.o: defs.h set.h
set.o: defs.h set.h
rfset.o: defs.h set.h
vfset.o: defs.h set.h
dconv.o : dconv.h
run.o: defs.h
fontdesc.o: defs.h
scanfont.o: dconv.h defs.h set.h
virfont.o: defs.h set.h virfont.h
vfdcom.o: dconv.h defs.h
bifont.o: defs.h bifont.h
compfont.o: defs.h set.h funcfont.h jsub.h
decompfont.o: defs.h set.h funcfont.h jsub.h
execfont.o: defs.h
funcfont.o: defs.h funcfont.h
kpse.o: defs.h
kanji.o: defs.h jsub.h
open.o: defs.h
io.o: defs.h
xxstdio.o: defs.h xxstdio.h

dvi.o: defs.h dvi.h
dvifont.o: defs.h dvi.h
dvitfm.o: defs.h bifont.h dvi.h

=== debian/changelog ===
dvi2dvi (2.0alpha-14) unstable; urgency=medium

  * QA upload.
  * Fix building with GCC 15.  (Closes: #1096553)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 26 Sep 2025 22:34:51 +0200

dvi2dvi (2.0alpha-13) experimental; urgency=medium

  * QA upload.
  * debian/copyright.ja: Remove obsolete copyright translation.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/upstream/metadata: Add upstream metadata information.

 -- Francisco Luis Dunaiski Bruginski <fluis905@gmail.com>  Thu, 19 Jun 2025 21:54:05 -0300

dvi2dvi (2.0alpha-12) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-int.  (Closes: #1074925)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Sep 2024 05:00:15 +0200

dvi2dvi (2.0alpha-11) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Import package history into GIT.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066297)
  * Declare Rules-Requires-Root: no.

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #958135)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Apr 2024 20:50:15 +0200

dvi2dvi (2.0alpha-10) unstable; urgency=medium

  * QA upload
  * Set Maintainer: to Debian QA Group (see: #836481)
  * Packaging cleanup. Closes: #817440
  * Upstream dropped the license clause about the package name, see
    debian/changelog. Closes: #841056

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 14 Jan 2017 09:35:54 +0100

dvi2dvi (2.0alpha-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Use kpse_set_progname instead of kpse_set_program_name (closes: #666172).
    Thanks to Adam D. Barratt for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Apr 2012 01:23:34 +0200

dvi2dvi (2.0alpha-9.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * bifont.c, funcfont.c, kpse.c
    - Fix include error: expected specifier-qualifier-list
      before str_llist_type (RC bug FTBFS serious; Closes: #562291).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 26 Mar 2010 20:40:59 +0200

dvi2dvi (2.0alpha-9) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.3.
  * Fixed various lintian warnings.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 06 Dec 2007 20:37:26 +0900

dvi2dvi (2.0alpha-8) unstable; urgency=low

  * Do not invoke install -s in Makefile, now DEB_BUILD_OPTIONS=nostrip works - closes: #436777

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 04 Dec 2007 21:12:05 +0900

dvi2dvi (2.0alpha-7) unstable; urgency=low

  * Bumped to Standards-Version: 3.7.2.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 13 Oct 2006 22:43:32 +0900

dvi2dvi (2.0alpha-6) unstable; urgency=low

  * Maintainer upload.
  * Bumped Standards-Version: 3.6.2.1 (no physical changes).
  * Acknowledged NMU, thanks Roger - closes: #285646

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Thu, 18 Aug 2005 04:22:53 +0900

dvi2dvi (2.0alpha-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: Add "-DSYSV -DANSI" to CCFLAGS when building, to fix
    GCC 4.0 build errors due to old K&R C syntax (Closes: #285646).
  * decompfont.c, fontdesc.c: Cast "unsigned char *" to "char *" to
    eliminate a number of compiler warnings when performing string
    operations on the "byte" data type.

 -- Roger Leigh <rleigh@debian.org>  Wed, 20 Jul 2005 19:40:53 +0100

dvi2dvi (2.0alpha-5) unstable; urgency=low

  * Fixed a build problem with gcc-3.4, thanks Andreas - closes: #258629
  * Now uses dh_link to make the fontdesc symlink.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Fri, 20 Aug 2004 12:12:48 +0900

dvi2dvi (2.0alpha-4) unstable; urgency=low

  * [control] changed Maintainer field.
  * Bumped to Standards-Version: 3.6.1.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat, 14 Feb 2004 17:06:17 +0900

dvi2dvi (2.0alpha-3) unstable; urgency=low

  * kpathsea/c-auto.h should be included before kpathsea/tex-file.h, thanks Matt - closes: #208661

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 14 Sep 2003 21:23:39 +0900

dvi2dvi (2.0alpha-2) unstable; urgency=low

  * Rebuilt with the latest libkpathsea - closes: #134671

 -- Masayuki Hatta <mhatta@debian.org>  Tue, 19 Feb 2002 13:36:20 +0900

dvi2dvi (2.0alpha-1) unstable; urgency=low

  * Initial relase for Debian Project - Closes: #103882
  * Re-packaged.
  * New upstream release.
  * Moved /usr/share/texmf/dvi2dvi to /etc/texmf/dvi2dvi.

 -- Masayuki Hatta <mhatta@debian.org>  Fri,  6 Jul 2001 16:44:37 +0900

dvi2dvi (1.01-3) unstable-jp; urgency=low

  * moved /usr/lib/texmf to /usr/share/texmf.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Wed,  7 Apr 1999 19:51:34 +0900

dvi2dvi (1.01-2) frozen-jp unstable-jp; urgency=low

  * added copyright.ujis (fixed bug #JP/320)

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue,  9 Jun 1998 18:43:29 +0900

dvi2dvi (1.01-1) unstable; urgency=low

  * Initial Release.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Tue,  2 Jun 1998 11:51:08 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dvi2dvi
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://www.math.s.chiba-u.ac.jp/~sakurai/software.html
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 10),
    libkpathsea-dev,
Rules-Requires-Root: no
Priority: optional
Section: tex
Vcs-Browser: https://salsa.debian.org/debian/dvi2dvi
Vcs-Git: https://salsa.debian.org/debian/dvi2dvi.git

Package: dvi2dvi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends:
    dvi2ps-fontdata-ja,
    dvi2ps-fontdata-n2a,
Description: Tweak DVI files
 dvi2dvi can:
  - expand virtual fonts in given DVI files,
  - change font names in given DVI files,
  - decompose 2-byte fonts into 1-byte subfonts.
 With dvi2dvi, you can convert DVI files generated by NTT jTeX to
 those of ASCII pTeX, and vice versa.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND	 = -std=gnu17

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf lib/

override_dh_auto_build:
	dh_auto_build
	$(MAKE) newlib

override_dh_auto_install:
	dh_auto_install -- INSTALL='install --strip-program=true'
	$(MAKE) install-lib DESTDIR=$(CURDIR)/debian/dvi2dvi

=== debian/watch ===
version=3
ftp://ftp.math.s.chiba-u.ac.jp/tex/ \
    dvi2dvi-([0-9.]+)\.tar\.gz
